Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.utility
Class StringConverter

    java.lang.Object
      archive.utility.StringConverter

All Implemented Interfaces:
  ObjectReader

Direct Known Subclasses:
  ClientMaker, PacchettoMaker, PrenotazioniMaker, PrenVoloMaker, VoloMaker

    public abstract class StringConverter

extends java.lang.Object
implements ObjectReader

Classe astratta che implementa `ObjectReader` Costruisce una String[][], ogni "\n" costituira l'inizio di una nuova riga, ogni ";" l'inizio di una colonna

Field Summary
`protected Archivio` | `arch`

Constructor Summary
`StringConverter(Archivio archivio)`

Method Summary
`abstract void` | `create()` Crea un determinato oggetto dalla matrice di stringhe
`java.lang.String[][]` | `getMatrix()`
`void` | `split(java.lang.String s)` Costruisce una String[][], ogni "\n" costituira l'inizio di una nuova riga, ogni ";" l'inizio di una colonna

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### arch

    protected Archivio arch

Constructor Detail

### StringConverter

    public StringConverter(Archivio archivio)

Method Detail

### split

    public void split(java.lang.String s)

  Costruisce una String[][], ogni "\n" costituira l'inizio di una nuova riga, ogni ";" l'inizio di una colonna

  Specified by:
    `split` in interface `ObjectReader`
  Parameters:
    `s` - stringa da elaborare

### create

    public abstract void create()

  Crea un determinato oggetto dalla matrice di stringhe

  Specified by:
    `create` in interface `ObjectReader`

### getMatrix

    public java.lang.String[][] getMatrix()

  Returns:
    la matrice

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD